%global oname hll
Name:          java-hll
Version:       1.6.0
Release:       %mkrel 5
Group:         Development/Java
Summary:       Java library for the HyperLogLog algorithm
License:       ASL 2.0
URL:           https://github.com/aggregateknowledge/java-hll
Source0:       https://github.com/aggregateknowledge/java-hll/archive/v%{version}.tar.gz
# https://issues.apache.org/jira/browse/SOLR-7954
# https://github.com/aggregateknowledge/java-hll/issues/17
Patch0:        java-hll-SOLR-7954.patch

BuildRequires: maven-local
BuildRequires: mvn(it.unimi.dsi:fastutil)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.powermock:powermock-api-easymock)
BuildRequires: mvn(org.powermock:powermock-module-junit4)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
HyperLogLog: approximate distinct value counting algorithm.
This library is a HyperLogLog data structure. HyperLogLog
is a fixed-size, set-like structure used for distinct value
counting with tunable precision.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%mvn_file :%{oname} %{oname}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.markdown RELEASE_NOTES.markdown
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.6.0-5.mga6
+ Revision: 982429
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.6.0-4.mga6
+ Revision: 976476
- First rebuild of the java stack
- sync package java-hll with fedora

